
U++ - Bug #1745

Close right tabs can close all tabs

06/17/2017 07:09 PM - Zbigniew Rebacz

Status: Approved Start date: 06/17/2017

Priority: High Due date:

Assignee: Zbigniew Rebacz % Done: 0%

Category: TabBar Estimated time: 0.00 hour

Target version: Release 2017.2 Spent time: 0.00 hour

Description

There is one place that allows to close all tabs using "Close right tabs" feature. All you need to do is just click on the point that is the most

on the left side of control. Make sure the first tab does not highlight close button.

This could happens on the around 3-5px area - but it can depends on the UI scaling factor.

History

#1 - 06/17/2017 07:15 PM - Zbigniew Rebacz

- Description updated

#2 - 06/22/2017 05:13 PM - Abdelghani Omari

- File TabBar.cpp.patch added

- Status changed from New to Patch ready

- Assignee changed from Abdelghani Omari to Zbigniew Rebacz

The bug touches the menu "Close" too,

Clicking the "Close" menu in this area causes the app to crash.

the cause is that highlight is equal to -1

patch in attachment.

#3 - 06/22/2017 10:06 PM - Zbigniew Rebacz

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

I do not have rights to commit and accept patches for TabBar - this is what Mirek should do.

#4 - 06/22/2017 11:03 PM - Zbigniew Rebacz

- Priority changed from Normal to High

Yes it is segmentation fault with TabBar. Just click close in the same place - priority should be definitely higher.

#5 - 06/23/2017 08:49 AM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Abdelghani Omari
#6 - 06/23/2017 10:38 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved

- Assignee changed from Abdelghani Omari to Zbigniew Rebacz

Thanks - works fine.

Files

Screenshot_20170617_190742.png 68 KB 06/17/2017 Zbigniew Rebacz

TabBar.cpp.patch 1.33 KB 06/22/2017 Abdelghani Omari
